`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    01:19:53 09/29/2012 
// Design Name: 
// Module Name:    anvyl_vga 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module anvyl_vga(
    input clk_100m,
    output [9:0] dout,

	 input	[11:0]	move2x,

	 input	[11:0]	move2y,

	 output	[7:0]	leds,

	 input	[3:0]	ps2_pins

    );

reg	[3:0]	sum;

assign	leds={4'hf,sum};

always@(posedge	clk_100m)
begin
	if(move2x==12'd50)
	begin
		sum<=4'hf;
	end
	else
	begin
		sum<=(ps2_pins==4'hf)?(sum):(sum+1);
	end
end

assign	dout=10'b0;

reg	[1:0]	clk_div4;

always@(posedge	clk_100m)
begin
	clk_div4<=clk_div4+1;
end

/*

flyinglogo	inst_flyinglogo(
.SYS_CLK_I(clk_div4[1]),
.RED_O(dout[2:0]),
.GREEN_O(dout[5:3]),
.BLUE_O(dout[7:6]),
.VSYNC_O(dout[8]),
.HSYNC_O(dout[9]),
.move2x(move2x),
.move2y(move2y)

);

*/

endmodule
