----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    13:45:07 01/05/2012 
-- Design Name: 
-- Module Name:    clk_div - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.std_logic_unsigned.all;
-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity clk_div is
    Port ( clk_in : in  STD_LOGIC;
           rst : in  STD_LOGIC;
           clk_50MHz : out  STD_LOGIC);
end clk_div;

architecture Behavioral of clk_div is

signal cnt : STD_LOGIC_VECTOR (3 downto 0);

begin

	process(clk_in)
	begin
	   if clk_in'event and clk_in = '1' then
		   if rst = '1' then
			   cnt <= (others => '0');
			else
			   cnt <= cnt + 1;
		   end if;
		end if;
	end process;
	
	clk_50MHz <= cnt(0);

end Behavioral;

