image = imread('logo-big_bmp.bmp');
im_scaled = imresize(image, [45, 200],'bicubic');

fid=fopen('Digilent_Logo_200x45_RGB332.coe','w');

iMap = 0;

for red = 0 : 7
    for green = 0 : 7
        for blue = 0 : 3
            iMap = iMap + 1;
            map(iMap,1) = red * 32;
            map(iMap,2) = green * 32;
            map(iMap,3) = blue * 64;
        end;
    end;
end;

X = rgb2ind(im_scaled, map./256)
fprintf(fid, '; Sample initialization file for a\n');
fprintf(fid, '; 8-bit wide by 9000 deep RAM\n');
fprintf(fid, 'memory_initialization_radix = 16;\n');
fprintf(fid, 'memory_initialization_vector =\n');
for R = 1:45
    for C = 1:200
        fprintf(fid, '%x, ', X(R,C));
    end;
end;

for R = 1: 199
    fprintf(fid, '%x, ', 255);
end;

fprintf(fid, '%x;', 255);